Welcome to Questions - Ask OpenNMS, where you can ask questions and receive answers from other members of the community.

How to use Hardware_Inventory_Entity_MIB with HP servers ?

0 votes
330 views

Hello,

I need some help to get HP hardware server information in to OpenNMS with the snmp-hardware-inventory
plugin.

http://www.opennms.org/wiki/Hardware_Inventory_Entity_MIB

File: /etc/opennms/snmp-hardware-inventory-adapter-configuration.xml

I added this, but doesn't work:

  <hw-extension name="CPQSINFO-MIB" sysOidMask=".1.3.6.1.4.1.232.">
    <mibObj oid=".1.3.6.1.2.1.1.5.0"         type="string" alias="Hostname" />
    <mibObj oid=".1.3.6.1.2.1.1.5.0"         type="string" alias="Asset"/>
    <mibObj oid=".1.3.6.1.4.1.232.2.2.2.5.0" type="string" alias="vendorassetNumber"/>
    <mibObj oid=".1.3.6.1.4.1.232.2.2.4.2.0" instance="cpqSiProductName" type="string" alias="cpqSiProductName" replace="entPhysicalDescr" />
  </hw-extension>

  <hw-extension name="MSFT-MIB" sysOidMask=".1.3.6.1.4.1.311.">
    <mibObj oid=".1.3.6.1.2.1.1.5.0"         type="string" alias="Hostname"/>
    <mibObj oid=".1.3.6.1.2.1.1.5.0"         type="string" alias="Asset"/>
    <mibObj oid=".1.3.6.1.4.1.232.2.2.2.5.0" type="string" alias="vendorassetNumber"/>
    <mibObj oid=".1.3.6.1.4.1.232.2.2.4.2.0" instance="cpqSiProductName" type="string" alias="cpqSiProductName" replace="entPhysicalDescr" />
  </hw-extension>

.1.3.6.1.4.1.232 = CPQHOST-MIB    http://www.oidview.com/mibs/232/CPQHOST-MIB.html
.1.3.6.1.4.1.311 = MSFT-MIB  http://www.oidview.com/mibs/311/MSFT-MIB.html  (microsoft)

root@opennms:/home/monitor#  snmpwalk -One -v 2c -c publicxx 192.168.x.x .1.3.6.1.4.1.232.2.2.4.2.0

.1.3.6.1.4.1.232.2.2.4.2.0 = STRING: "ProLiant DL360 G5"
 

Similar question about Juniper. The Juniper works with our OpenNMS server and I added this to the wiki.

http://opennms.530661.n2.nabble.com/Snmp-Hardware-data-collection-does-not-retrieve-the-subtree-td7592430.html#a7592477

 

Fred

OpenNMS version
16.0.3
Java version
1.8.0_45 (Oracle Corporation)
Operating system
Ubuntu 14.04.1 LTS
PostgreSQL version
9.3.5
asked Sep 21, 2015 by FredE (210 points)
edited Jun 29, 2016 by FredE

Please log in or register to answer this question.

...